Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | Related Pages | Search for

# eoStochTournamentTruncate< EOT > Class Template Reference

a truncate class based on a repeated deterministic (reverse!) tournament To be used in SSGA-like replacements (e.g. More...

`#include <eoReduce.h>`

Inheritance diagram for eoStochTournamentTruncate< EOT >:

List of all members.

## Public Member Functions
| eoStochTournamentTruncate (double _t_rate)
void | operator() (eoPop< EOT > &_newgen, unsigned _newsize)
| The pure virtual function that needs to be implemented by the subclass.
## Private Attributes
double | t_rate

## Detailed Description

### template<class EOT>
class eoStochTournamentTruncate< EOT >

a truncate class based on a repeated deterministic (reverse!) tournament To be used in SSGA-like replacements (e.g.

see eoSSGAStochTournamentReplacement)

Definition at line 236 of file eoReduce.h.

The documentation for this class was generated from the following file:

- eoReduce.h